# Get wallet delegations (POST /wallet/check_delegation)

Operation `wallet_check_delegation` of the Uniswap API. Base URL: `https://trade-api.gateway.uniswap.org/v1`.

Gets the current delegation status and message for a smart contract wallet across different chains. Returns delegation information for each chain ID in the request.

Parameters: 1 header, 2 body · Request: `application/json` · Auth: apiKey · Responses: 200, 400, 401, 404, 429, 500, 504

## Headers

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `x-api-key` | string | yes | Your API key for authentication. |

## Body

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `walletAddresses` | string[] | no | Array of wallet addresses to check delegation status for. |
| `chainIds` | enum[] | yes | Array of chain IDs to check delegation status for. |

## Responses

- `200` — Wallet delegation info request successful.
- `400` — RequestValidationError, Bad Input
- `401` — UnauthorizedError eg. Account is blocked.
- `404` — ResourceNotFound eg. No quotes available or Gas fee/price not available
- `429` — Ratelimited
- `500` — Unexpected error
- `504` — Request duration limit reached.

Interactive playground: https://developers.uniswap.org/docs/api-reference/wallet_check_delegation
All endpoints: https://developers.uniswap.org/docs/api-reference
